/**
 * 
 */
package sim.nn.parameter;

/**
 * <p>
 * L'interface <b>SContainBias</b> reprsente une fonction neuronale ou une couche de neurones contenant des biais (bias).
 * </p>
 * <p>
 * Cette interface a pour but de donner accs  ce paramtre.
 * </p> 
 * 
 * @author Simon Vezina
 * @since 2021-11-22
 * @version 2021-11-22
 */
public interface SContainBias {

  /**
   * Mthode pour avoir accs au biais (bias) de la fonction neuronale, de la couche de neurone ou du gradient de la fonction d'erreur.
   * 
   * @return Les biais.
   */
  public SBias getBias();
  
}
