package sim.nn.parameter;

/**
 * <p>
 * L'interface <b>SContainFiltersWeights</b> reprsente une fonction neuronale ou une couche de neurones contenant des filtres pour produit de convolution (filters weights).
 * </p>
 * <p>
 * Cette interface a pour but de donner accs  ce paramtre.
 * </p> 
 * 
 * @author Simon Vezina
 * @since 2021-11-26
 * @version 2021-11-26
 */
public interface SContainFiltersWeights {

  /**
   * Mthode pour avoir accs aux filtres de convolution (filters weights) de la fonction neuronale, de la couche de neurone ou du gradient de la fonction d'erreur.
   * 
   * @return Les biais.
   */
  public SFiltersWeights getFiltersWeights();
  
}
