/**
 * 
 */
package sim.nn.parameter;

/**
 * <p>
 * L'interface <b>SContainScale</b> reprsente une fonction neuronale ou une couche de neurones contenant des scale.
 * </p>
 * <p>
 * Cette interface a pour but de donner accs  ce paramtre.
 * </p> 
 * 
 * @author Simon Vezina
 * @since 2021-11-23
 * @version 2021-11-24
 */
public interface SContainScale {

  /**
   * Mthode pour avoir accs au scale de la fonction neuronale, de la couche de neurone ou du gradient de la fonction d'erreur.
   * 
   * @return Les scale.
   */
  public SScale getScale();
  
}
